<?php

// API routes  for testiksc
Route::prefix('{guard}/iksc')->group(function () {
    Route::get('testiksc/form/{element}', 'TestikscAPIController@form');
    Route::resource('testiksc', 'TestikscAPIController');
});

// Public routes for testiksc
Route::get('ikscs/', 'TestikscPublicController@index');
Route::get('ikscs/{slug?}', 'TestikscPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for ikscs
            Route::prefix('{guard}/iksc')->group(function () {
                Route::get('testiksc/form/{element}', 'TestikscAPIController@form');
                Route::apiResource('testiksc', 'TestikscAPIController');
            });
            // Public routes for ikscs
            Route::get('iksc/Testiksc', 'TestikscPublicController@getTestiksc');
        }
    );
}

