<?php

// web routes  for testiksc
Route::prefix('{guard}/iksc')->group(function () {
    Route::resource('testiksc', 'TestikscResourceController');
});

// Public routes for testiksc
Route::get('ikscs/', 'TestikscPublicController@index');
Route::get('ikscs/{slug?}', 'TestikscPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TestikscResourceController');
            });
            // Public routes for pages
            Route::get('ikscs/', 'TestikscPublicController@index');
            Route::get('ikscs/{slug?}', 'TestikscPublicController@show');
        }
    );
}

