<?php

namespace Softwaretantra\Iksc;

use DB;
use Illuminate\Database\Seeder;

class TestikscTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('testikscs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'iksc.testiksc.view',
                'name'      => 'View Testiksc',
            ],
            [
                'slug'      => 'iksc.testiksc.create',
                'name'      => 'Create Testiksc',
            ],
            [
                'slug'      => 'iksc.testiksc.edit',
                'name'      => 'Update Testiksc',
            ],
            [
                'slug'      => 'iksc.testiksc.delete',
                'name'      => 'Delete Testiksc',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'iksc.testiksc.verify',
                'name'      => 'Verify Testiksc',
            ],
            [
                'slug'      => 'iksc.testiksc.approve',
                'name'      => 'Approve Testiksc',
            ],
            [
                'slug'      => 'iksc.testiksc.publish',
                'name'      => 'Publish Testiksc',
            ],
            [
                'slug'      => 'iksc.testiksc.unpublish',
                'name'      => 'Unpublish Testiksc',
            ],
            [
                'slug'      => 'iksc.testiksc.cancel',
                'name'      => 'Cancel Testiksc',
            ],
            [
                'slug'      => 'iksc.testiksc.archive',
                'name'      => 'Archive Testiksc',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/iksc/testiksc',
                'name'        => 'Testiksc',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/iksc/testiksc',
                'name'        => 'Testiksc',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'testiksc',
                'name'        => 'Testiksc',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Iksc',
                'module'    => 'Testiksc',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'iksc.testiksc.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
